aboutsummaryrefslogtreecommitdiffstats
path: root/python/tests/cli.sh
diff options
context:
space:
mode:
authorBryan Newbold <bnewbold@robocracy.org>2019-01-08 14:33:15 -0800
committerBryan Newbold <bnewbold@robocracy.org>2019-01-08 14:33:15 -0800
commitb0d46cb4c3a9922aba78cdc5cf70525d2ff21d84 (patch)
tree3a8f887d6be3cd34df6f8dd9546fe8578506785b /python/tests/cli.sh
parent7e443092aee825ce30a0ffe14cd41d1e0ef3fe52 (diff)
downloadfatcat-b0d46cb4c3a9922aba78cdc5cf70525d2ff21d84.tar.gz
fatcat-b0d46cb4c3a9922aba78cdc5cf70525d2ff21d84.zip
run basic CLI tests in CI
Diffstat (limited to 'python/tests/cli.sh')
-rwxr-xr-xpython/tests/cli.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/python/tests/cli.sh b/python/tests/cli.sh
new file mode 100755
index 00000000..eba6d3a7
--- /dev/null
+++ b/python/tests/cli.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+set -eu -o pipefail
+set -x
+
+# This is a helper script to at least partially exersize the fatcat_*.py
+# scripts. It expects to be run from the top-level directory, inside a 'pipenv
+# shell' or 'pipenv run' invocation.
+
+./fatcat_export.py changelog --start 1 --end 10 - > /dev/null
+
+# no easy way to run this without harvest a whole day (at the moment)
+./fatcat_harvest.py crossref -h
+
+./fatcat_import.py crossref tests/files/crossref-works.2018-01-21.badsample.json tests/files/ISSN-to-ISSN-L.snip.txt
+./fatcat_import.py orcid tests/files/0000-0001-8254-7103.json
+./fatcat_import.py issn tests/files/journal_extra_metadata.snip.csv
+./fatcat_import.py matched tests/files/matched_sample.json
+./fatcat_import.py matched tests/files/example_matched.json
+./fatcat_import.py grobid-metadata tests/files/example_grobid_metadata_lines.tsv
+
+./fatcat_webface.py -h
+./fatcat_worker.py -h
+
+set +x
+echo "Done running CLI examples (SUCCESS)"